glab(1)

NAME
glab-ci-status - View CI/CD pipeline status.

SYNOPSIS
glab ci status [flags]

DESCRIPTION
Defaults to the current branch.

Use --live for real-time updates. Use --compact for a condensed view.

OPTIONS
-b, --branch=""
    Check pipeline status for a branch. Defaults to the current branch.

-c, --compact[=false]
    Show status in compact format.

--jq=""
    Filter JSON output with a jq expression.

-l, --live[=false]
    Show status in real time until the pipeline ends.

-F, --output="text"
    Format output as: text, json. Note: JSON output is not compatible with --live, --wait, or --compact flags.

-w, --wait[=false]
    Wait to return until the pipeline is finished, and provide output without a prompt.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # View the pipeline status in real time
    glab ci status --live
    # Wait to return until the pipeline is finished, and provide output without a prompt.
    glab ci status --wait
    # A more compact view
    glab ci status --compact
    # Get the pipeline for the main branch
    glab ci status --branch=main
    # Get the pipeline for the current branch
    glab ci status

SEE ALSO
glab-ci(1)